Create guardrail
curl --request POST \
--url https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"stages": [],
"sub_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"action": "block",
"enforcement_mode": "monitor",
"enabled": true,
"template_id": "<string>"
}
'import requests
url = "https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks"
payload = {
"name": "<string>",
"stages": [],
"sub_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"action": "block",
"enforcement_mode": "monitor",
"enabled": True,
"template_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
stages: [],
sub_agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
prompt: '<string>',
action: 'block',
enforcement_mode: 'monitor',
enabled: true,
template_id: '<string>'
})
};
fetch('https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'stages' => [
],
'sub_agent_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'prompt' => '<string>',
'action' => 'block',
'enforcement_mode' => 'monitor',
'enabled' => true,
'template_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"stages\": [],\n \"sub_agent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"prompt\": \"<string>\",\n \"action\": \"block\",\n \"enforcement_mode\": \"monitor\",\n \"enabled\": true,\n \"template_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"stages\": [],\n \"sub_agent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"prompt\": \"<string>\",\n \"action\": \"block\",\n \"enforcement_mode\": \"monitor\",\n \"enabled\": true,\n \"template_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"stages\": [],\n \"sub_agent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"prompt\": \"<string>\",\n \"action\": \"block\",\n \"enforcement_mode\": \"monitor\",\n \"enabled\": true,\n \"template_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>",
"prompt": "<string>",
"stages": [
"<string>"
],
"action": "<string>",
"enforcement_mode": "<string>",
"enabled": true,
"template_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sub_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Guardrails
Create guardrail
Auth: organization API key with write scope, or a signed-in user.
A check Neon runs for the agent. Set kind, the stages it runs on, its action (allow, block, redact or escalate; default block) and enforcement_mode (enforce or monitor; default monitor). custom and scope guardrails need a prompt. Set sub_agent_id to scope it to one inline sub-agent. Names are unique per agent (409).
POST
/
api
/
v1
/
agents
/
{agent_id}
/
slm-checks
Create guardrail
curl --request POST \
--url https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"stages": [],
"sub_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"action": "block",
"enforcement_mode": "monitor",
"enabled": true,
"template_id": "<string>"
}
'import requests
url = "https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks"
payload = {
"name": "<string>",
"stages": [],
"sub_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"action": "block",
"enforcement_mode": "monitor",
"enabled": True,
"template_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
stages: [],
sub_agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
prompt: '<string>',
action: 'block',
enforcement_mode: 'monitor',
enabled: true,
template_id: '<string>'
})
};
fetch('https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'stages' => [
],
'sub_agent_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'prompt' => '<string>',
'action' => 'block',
'enforcement_mode' => 'monitor',
'enabled' => true,
'template_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"stages\": [],\n \"sub_agent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"prompt\": \"<string>\",\n \"action\": \"block\",\n \"enforcement_mode\": \"monitor\",\n \"enabled\": true,\n \"template_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"stages\": [],\n \"sub_agent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"prompt\": \"<string>\",\n \"action\": \"block\",\n \"enforcement_mode\": \"monitor\",\n \"enabled\": true,\n \"template_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cp.xenovia.io/api/v1/agents/{agent_id}/slm-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"stages\": [],\n \"sub_agent_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"prompt\": \"<string>\",\n \"action\": \"block\",\n \"enforcement_mode\": \"monitor\",\n \"enabled\": true,\n \"template_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>",
"prompt": "<string>",
"stages": [
"<string>"
],
"action": "<string>",
"enforcement_mode": "<string>",
"enabled": true,
"template_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sub_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response